Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.jsp.wb
Class EditForm

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLElementContainer
                  |
                  +--oracle.jdeveloper.html.HTMLForm
                        |
                        +--oracle.jdeveloper.jsp.wb.EditForm

public class EditForm
extends HTMLForm
implements WebBean

A Web Bean class that provides methods to dynamically generate an HTML form and render it to the output stream of a JSP response.

Version:
  PUBLIC

Field Summary
`protected WebBeanImpl` | `webBean`

Fields inherited from class oracle.jdeveloper.html.HTMLForm
`bGenerateLabels, buttonBar, Fields, sContentType, target, theAction, theName, theScripts, topButtons, useJS`

Fields inherited from class oracle.jdeveloper.html.HTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Fields inherited from interface oracle.jdeveloper.html.WebBean
`contentFrameName, defaultCaboBase, defaultCaboImageBase, defaultImageBase, defaultJSPBase, JS_LIBRARIES, JS_NAMEID, JSButtonConstructorLib, JSCalendarConstructorLib, JSContainerConstructorLib, JSDataConstructLib, JSModalPageConstructorLib, JSTableConstructLib, JSToolbarConstructorLib, JSTreeConstructLib, JSUtilitiesLib`

Constructor Summary
`EditForm()`
`EditForm(java.lang.String sAction, java.lang.String sName)`

Method Summary
`void` | `addDateField(java.lang.String sLabel, java.lang.String sName, java.lang.String sValue, java.lang.String sWidth, java.lang.String sClass, java.lang.String sMaxLength)`
`void` | `addLOVField(java.lang.String sLabel, java.lang.String sName, java.lang.String sValue, java.lang.String sWidth, java.lang.String sClass, java.lang.String sMaxLength, java.lang.String voName, java.lang.String displayAttributes, java.lang.String dataAttribute)`
`java.lang.String` | `getImageBase()`
`java.lang.String` | `getWidth()`
`void` | `initialize(javax.servlet.jsp.PageContext page)` Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
`void` | `initialize(javax.servlet.ServletContext application, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.jsp.JspWriter out)` Initializes the EditForm object to have access to the important objects of the JSP.
`void` | `initialize(javax.servlet.ServletContext application, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.io.PrintWriter out)` Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
`void` | `internalInitialize()` Internal initialize.
`void` | `render()` Renders the form to the output stream of the JSP page's response.
`void` | `render(java.io.PrintWriter out)` This is where the main entry point for rendering the HTML content.
`protected void` | `renderContainerFooter(java.io.PrintWriter out)` Renders the container footer that follows the form elements
`void` | `renderContainerHeader(java.io.PrintWriter out)` Renders the container header.
`void` | `setImageBase(java.lang.String sBase)` Sets the image base URL needed to resolve the HTML FORM's images for the rounded corners.
`void` | `setUseRoundedCorners(boolean bSet)`
`void` | `setWidth(java.lang.String sWidth)`

Methods inherited from class oracle.jdeveloper.html.HTMLForm
`addCheckBoxField, addFieldElement, addHiddenField, addInputField, addMultilineTextField, addMultilineTextField, addMultilineTextField, addMultilineTextField, addPasswordField, addRadioButtonField, addReadOnlyField, addResetButton, addScript, addSelectField, addSubmitButton, addTextField, addTextField, addTextField, addTextField, addTopResetButton, addTopSubmitButton, addURLTextField, addWideTextField, getFormAction, getFormName, renderFields, renderScripts, renderTopButtons, setFormAction, setUseJS, useDefaultFormat, useMultiPartFormat`

Methods inherited from class oracle.jdeveloper.html.HTMLElementContainer
`addElement, addForm, addHeader, addImage, addImageClass, addImageURL, addTable, addTextURL, addToolBar, elementAt, endCenter, numberOfElements, renderElementFooter, renderElementHeader, skipLine, startCenter`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### webBean

    protected WebBeanImpl webBean

Constructor Detail

### EditForm

    public EditForm()

### EditForm

    public EditForm(java.lang.String sAction,
                    java.lang.String sName)

Method Detail

### setWidth

    public void setWidth(java.lang.String sWidth)

### getWidth

    public java.lang.String getWidth()

### getImageBase

    public java.lang.String getImageBase()

  Returns:
    the URL being used as the base for retriving images needed in order to implement the rounded corner surrounding the generated HTML form.

### setImageBase

    public void setImageBase(java.lang.String sBase)

  Sets the image base URL needed to resolve the HTML FORM's images for the rounded corners.
  Parameters:
    `the` - URL where the images are stored. The default is '/webapp/images'

### setUseRoundedCorners

    public void setUseRoundedCorners(boolean bSet)

### addDateField

    public void addDateField(java.lang.String sLabel,
                             java.lang.String sName,
                             java.lang.String sValue,
                             java.lang.String sWidth,
                             java.lang.String sClass,
                             java.lang.String sMaxLength)

### addLOVField

    public void addLOVField(java.lang.String sLabel,
                            java.lang.String sName,
                            java.lang.String sValue,
                            java.lang.String sWidth,
                            java.lang.String sClass,
                            java.lang.String sMaxLength,
                            java.lang.String voName,
                            java.lang.String displayAttributes,
                            java.lang.String dataAttribute)

### initialize

    public void initialize(javax.servlet.ServletContext application,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           java.io.PrintWriter out)
                    throws java.lang.Exception

  Description copied from interface: WebBean
  Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.

  Specified by:
    initialize in interface WebBean
  Tags copied from interface: WebBean
  Parameters:
    `appContext` - the JSP page's ServletContext.
    `session` - the JSP page's HttpSession.
    `request` - the JSP page's HttpServletRequest.
    `response` - the JSP page's HttpServletResponse.
    `out` - the PrintWriter to render to.

### initialize

    public void initialize(javax.servlet.jsp.PageContext page)
                    throws java.lang.Exception

  Description copied from interface: WebBean
  Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
  Specified by:
    initialize in interface WebBean
  Tags copied from interface: WebBean
  Parameters:
    `page` - the JSP page's ServletContext.

### initialize

    public void initialize(javax.servlet.ServletContext application,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           javax.servlet.jsp.JspWriter out)
                    throws java.lang.Exception

  Initializes the EditForm object to have access to the important objects of the JSP.
  Parameters:
    `application` - the JSP page's ServletContext
    `session` - the JSP page's HttpSession
    `request` - the JSP page's HttpServletRequest
    `response` - the JSP page's HttpServletResponse
    `out` - the JSP page's JspWriter

### internalInitialize

    public void internalInitialize()
                            throws java.lang.Exception

  Description copied from interface: WebBean
  Internal initialize. This method should be overriden by any WebBean needing to initialize some internal data after all the base class member have been initialize properly.
  Specified by:
    internalInitialize in interface WebBean

### render

    public void render()
                throws java.lang.Exception

  Renders the form to the output stream of the JSP page's response.
  Specified by:
    render in interface WebBean

### renderContainerHeader

    public void renderContainerHeader(java.io.PrintWriter out)

  Renders the container header. This generates the HTML code that precedes the form elements.
  Overrides:
    renderContainerHeader in class HTMLForm

### renderContainerFooter

    protected void renderContainerFooter(java.io.PrintWriter out)

  Renders the container footer that follows the form elements
  Overrides:
    renderContainerFooter in class HTMLForm

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  This is where the main entry point for rendering the HTML content.
  Specified by:
    render in interface WebBean
  Overrides:
    render in class HTMLForm
  Tags copied from interface: WebBean
  Parameters:
    `out` - the PrintWriter to render to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD